## How to contribute to SAPHanaSR

#### **Did you find a bug?**

* **Do not open up a GitHub issue if the bug is a security vulnerability
  in the application**, and instead contact the [security team](mailto:security-team@suse.de).

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/SUSE/SAPHanaSR/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/SUSE/SAPHanaSR/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, including screenshots of what you see when pertinent. You can attach screenshots to the text by drag and dropping them.

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.
* Screenshots are appreciated for visual changes, even on CLI outputs.


#### **Do you intend to add a new feature or change an existing one?**

* Please open an [issue](https://github.com/SUSE/SAPHanaSR/issues/new) to discuss your change before writing any code.
* If the changes are visual, consider attaching screenshots showing the before/after change in the GitHub pull request description.
